From 0668db5edea56a0d57575db127b793f59b489e7b Mon Sep 17 00:00:00 2001
From: naturedamends <120284608+naturedamends@users.noreply.github.com>
Date: Sat, 26 Aug 2023 00:39:32 +0100
Subject: Commonutils: chown: cannot access '/home/vscode/.zshrc': No such file
 or directory (#662)

* Update main.sh

* Update devcontainer-feature.json

* Test install as non root user.

---------

Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com>
---
 test/common-utils/configure_zsh_no_template.sh           | 15 ---------------
 .../common-utils/configure_zsh_no_template_first_step.sh | 12 ++++++++++++
 .../configure_zsh_no_template_second_step.sh             | 14 ++++++++++++++
 test/common-utils/scenarios.json                         | 16 +++++++++++++---
 4 files changed, 39 insertions(+), 18 deletions(-)
 delete mode 100644 test/common-utils/configure_zsh_no_template.sh
 create mode 100644 test/common-utils/configure_zsh_no_template_first_step.sh
 create mode 100644 test/common-utils/configure_zsh_no_template_second_step.sh

(limited to 'test/common-utils')

diff --git a/test/common-utils/configure_zsh_no_template.sh b/test/common-utils/configure_zsh_no_template.sh
deleted file mode 100644
index c62cae9..0000000
--- a/test/common-utils/configure_zsh_no_template.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-
-set -e
-
-# Optional: Import test library
-source dev-container-features-test-lib
-
-# Definition specific tests
-function file_not_overridden() {
-    cat ~/.zshrc | grep 'alias fnomockalias=' | grep testingmock
-}
-check "default-zsh-with-no-zshrc" file_not_overridden
-
-# Report result
-reportResults
diff --git a/test/common-utils/configure_zsh_no_template_first_step.sh b/test/common-utils/configure_zsh_no_template_first_step.sh
new file mode 100644
index 0000000..d26874d
--- /dev/null
+++ b/test/common-utils/configure_zsh_no_template_first_step.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "default-zsh-with-no-zshrc" bash -c "[ ! -e ~/.zshrc ]"
+
+# Report result
+reportResults
diff --git a/test/common-utils/configure_zsh_no_template_second_step.sh b/test/common-utils/configure_zsh_no_template_second_step.sh
new file mode 100644
index 0000000..734fa66
--- /dev/null
+++ b/test/common-utils/configure_zsh_no_template_second_step.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+# Definition specific tests
+function file_not_overridden() {
+    cat $1 | grep 'alias fnomockalias=' | grep testingmock
+}
+check "default-zsh-with-no-zshrc" file_not_overridden /home/devcontainer/.zshrc
+
+# Report result
+reportResults
diff --git a/test/common-utils/scenarios.json b/test/common-utils/scenarios.json
index 904a47b..d7b296d 100644
--- a/test/common-utils/scenarios.json
+++ b/test/common-utils/scenarios.json
@@ -115,10 +115,20 @@
             }
         }
     },
-    "configure_zsh_no_template": {
+    "configure_zsh_no_template_second_step": {
         "image": "mcr.microsoft.com/devcontainers/base:ubuntu",
-        "postCreateCommand": "echo alias fnomockalias=testingmock >> /root/.zshrc",
-        "remoteUser": "root",
+        "postCreateCommand": "echo alias fnomockalias=testingmock >> /home/devcontainer/.zshrc",
+        "remoteUser": "devcontainer",
+        "features": {
+            "common-utils": {
+                "installZsh": true,
+                "installOhMyZshConfig": false
+            }
+        }
+    },
+    "configure_zsh_no_template_first_step": {
+        "image": "debian:bullseye",
+        "remoteUser": "devcontainer",
         "features": {
             "common-utils": {
                 "installZsh": true,
-- 
cgit v1.2.3